<template>
  <v-card class="rounded-xl">
    <v-card-title class="justify-center labelStyle mx-12 pt-6">
      Tasa de rotación de especialistas
    </v-card-title>
    <v-row>
      <v-col style="align-self: center">
        <v-container fluid grid-list-xl>
          <v-layout wrap justify-center>
            <progress-rate
              subTitle="Especialistas contratados"
              :value="210"
              :maxWidth="200"
              text="Especialistas"
              :rate="13"
              :up="true"
            />
            <progress-rate
              subTitle="Especialistas despedidos"
              :value="150"
              :maxWidth="200"
              text="Especialistas"
              :rate="9"
              :up="false"
            />
          </v-layout>
        </v-container>
      </v-col>
      <v-col>
        <grouped-bar-chart
          title='Tasa de rotación de especialistas'
          title-y='Cantidad de especialistas'
          title-x='Meses'
          :series="seriesLine"
          :categories="categories"
          :height="390"
          :width="400"
        />
      </v-col>
    </v-row>
  </v-card>
</template>
<script>

import ProgressRate from '~/components/Dashboard/ProgressRate';
import GroupedBarChart from '~/components/Dashboard/GroupedBarChart';
export default {
  name: 'TurnoverRateChart',
  components: { GroupedBarChart, ProgressRate },
  data() {
    return {
      seriesLine: [
        {
          name: 'Contratados',
          data: [20, 35, 10, 15, 25, 20],
        },
        {
          name: 'Despedidos',
          data: [5, 10, 20, 30, 15, 20],
        },
      ],
      categories: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun'],
    };
  },
};
</script>

<style scoped>
.labelStyle{
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  color: #505050;
  font-weight: 700;
  text-align: center;
}
</style>
